/*******************************
 * 109 Japanese keyboard table *
 *          TeamKNOx           *
 *          07/2000            *
 *******************************/

/* 109 Japanese keyboard data */
UBYTE key_table[] = { 
    0x00,   //              00
    0x00,   //  F9          01
    0x00,   //              02
    0x00,   //  F5          03
    0x00,   //  F3          04
    0x01,   //  F1          05  test1
    0x02,   //  F2          06  test2
    0x00,   //  F12         07
    0x00,   //              08
    0x00,   //  F10         09
    0x00,   //  F8          0A
    0x00,   //  F6          0B
    0x00,   //  F4          0C
    0x09,   //  Tab         0D
    0x00,   //  HanZen      0E
    0x00,   //              0F
    0x00,   //              10
    0x00,   //  Alt(L)      11
    0x0F,   //  Shift(L)    12
    0x00,   //  Hirakana    13
    0x00,   //  Ctrl(L)     14
    0x51,   //  Q           15
    0x31,   //  1           16
    0x00,   //              17
    0x00,   //              18
    0x00,   //              19
    0x5A,   //  Z           1A
    0x53,   //  S           1B
    0x41,   //  A           1C
    0x57,   //  W           1D
    0x32,   //  2           1E
    0x00,   //              1F
    0x00,   //              20
    0x43,   //  C           21
    0x58,   //  X           22
    0x44,   //  D           23
    0x45,   //  E           24
    0x34,   //  4           25
    0x33,   //  3           26
    0x00,   //              27
    0x00,   //              28
    0x20,   //  Space       29
    0x56,   //  V           2A
    0x46,   //  F           2B
    0x54,   //  T           2C
    0x52,   //  R           2D
    0x35,   //  5           2E
    0x00,   //              2F
    0x00,   //              30
    0x4E,   //  N           31
    0x42,   //  B           32
    0x48,   //  H           33
    0x47,   //  G           34
    0x59,   //  Y           35
    0x36,   //  6           36
    0x00,   //              37
    0x00,   //              38
    0x00,   //              39
    0x4D,   //  M           3A
    0x4A,   //  J           3B
    0x55,   //  U           3C
    0x37,   //  7           3D
    0x38,   //  8           3E
    0x00,   //              3F
    0x00,   //              40
    0x2C,   //  ,           41
    0x4B,   //  K           42
    0x49,   //  I           43
    0x4F,   //  O           44
    0x30,   //  0           45
    0x39,   //  9           46
    0x00,   //              47
    0x00,   //              48
    0x2E,   //  .           49
    0x2F,   //  /           4A
    0x4C,   //  L           4B
    0x3B,   //  ;           4C
    0x50,   //  P           4D
    0x2D,   //  -           4E
    0x00,   //              4F
    0x00,   //              50
    0x5C,   //  \           51
    0x3A,   //  :           52
    0x00,   //              53
    0x40,   //  @           54
    0x5E,   //  ^           55
    0x00,   //              56
    0x00,   //              57
    0x00,   //  Eisuu       58
    0x0F,   //  Shift(R)    59
    0x0D,   //  Enter       5A
    0x5B,   //  [           5B
    0x00,   //              5C
    0x5D,   //  ]           5D
    0x00,   //              5E
    0x00,   //              5F
    0x00,   //              60
    0x00,   //              61
    0x00,   //              62
    0x00,   //              63
    0x00,   //  Henkan      64
    0x00,   //              65
    0x08,   //  BackSpace   66
    0x00,   //  Muhenkan    67
    0x00,   //              68
    0x31,   //  num1        69
    0x5C,   //  \           6A
    0x34,   //  num4        6B
    0x37,   //  num7        6C
    0x00,   //              6D
    0x00,   //              6E
    0x00,   //              6F
    0x30,   //  num0        70
    0x2E,   //  num.        71
    0x32,   //  num2        72
    0x35,   //  num5        73
    0x36,   //  num6        74
    0x38,   //  num8        75
    0x00,   //  Esc         76
    0x00,   //  NumLock     77
    0x00,   //              78
    0x2B,   //  num+        79
    0x33,   //  num3        7A
    0x2D,   //  num-        7B
    0x2A,   //  num*        7C
    0x39,   //  num9        7D
    0x00,   //  ScrollLock  7E
    0x00    //              7F
};
